# ===== homebrew

if test -d /opt/homebrew # Homebrew is installed on MacOS
   # rendre ses commandes disponibles
   /opt/homebrew/bin/brew shellenv | source
   fish_add_path /opt/homebrew/bin
end

# ===== python

# fork() sur ARM64
set -gx OBJC_DISABLE_INITIALIZE_FORK_SAFETY YES

# ===== MySQL

export DYLD_LIBRARY_PATH=/opt/homebrew/mysql/lib/

# For compilers to find mysql-client you may need to set:
set -gx LDFLAGS "-L/opt/homebrew/opt/mysql-client/lib"
set -gx CPPFLAGS "-I/opt/homebrew/opt/mysql-client/include"

# For pkg-config to find mysql-client you may need to set:
set -gx PKG_CONFIG_PATH "/opt/homebrew/opt/mysql-client/lib/pkgconfig"

# =====
